## START: Set by rpmautospec
## (rpmautospec version 0.3.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 22
# * resolve circular dependency with backtrace
%bcond_with check
%global debug_package %{nil}

%global crate addr2line

Name:           rust-addr2line
Version:        0.18.0
Release:        %autorelease
Summary:        Cross-platform symbolication library based on gimli

License:        Apache-2.0 OR MIT
URL:            https://crates.io/crates/addr2line
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * exclude files that are only useful for upstream development
Patch:          addr2line-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Cross-platform symbolication library written in Rust, using `gimli`.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+cpp_demangle-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+cpp_demangle-devel %{_description}

This package contains library source intended for building other packages which
use the "cpp_demangle" feature of the "%{crate}" crate.

%files       -n %{name}+cpp_demangle-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+fallible-iterator-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+fallible-iterator-devel %{_description}

This package contains library source intended for building other packages which
use the "fallible-iterator" feature of the "%{crate}" crate.

%files       -n %{name}+fallible-iterator-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+object-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+object-devel %{_description}

This package contains library source intended for building other packages which
use the "object" feature of the "%{crate}" crate.

%files       -n %{name}+object-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rustc-demangle-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustc-demangle-devel %{_description}

This package contains library source intended for building other packages which
use the "rustc-demangle" feature of the "%{crate}" crate.

%files       -n %{name}+rustc-demangle-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+smallvec-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+smallvec-devel %{_description}

This package contains library source intended for building other packages which
use the "smallvec" feature of the "%{crate}" crate.

%files       -n %{name}+smallvec-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-object-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-object-devel %{_description}

This package contains library source intended for building other packages which
use the "std-object" feature of the "%{crate}" crate.

%files       -n %{name}+std-object-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Aug 09 2022 Fabio Valentini <decathorpe@gmail.com> - 0.18.0-1
- Update to version 0.18.0; Fixes RHBZ#2107880

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Feb 03 2022 Fabio Valentini <decathorpe@gmail.com> - 0.17.0-1
- Update to version 0.17.0; Fixes RHBZ#2016810

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Sep 21 2021 Fabio Valentini <decathorpe@gmail.com> - 0.16.0-1
- Update to version 0.16.0; Fixes RHBZ#1967823

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat May 08 2021 Fabio Valentini <decathorpe@gmail.com> - 0.15.1-1
- Update to version 0.15.1.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Dec 31 2020 Fabio Valentini <decathorpe@gmail.com> - 0.14.1-1
- Update to version 0.14.1.
- Fixes RHBZ#1911779

* Sat Nov 07 2020 Fabio Valentini <decathorpe@gmail.com> - 0.14.0-1
- Update to version 0.14.0.
- Fixes RHBZ#1891705

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 22 2020 Josh Stone <jistone@redhat.com> - 0.13.0-1
- Update to 0.13.0

* Fri Jun 26 2020 Josh Stone <jistone@redhat.com> - 0.12.2-1
- Update to 0.12.2

* Mon Jun 15 2020 Josh Stone <jistone@redhat.com> - 0.12.1-2
- Bump to object 0.20

* Tue May 19 2020 Josh Stone <jistone@redhat.com> - 0.12.1-1
- Update to 0.12.1

* Tue May 12 2020 Josh Stone <jistone@redhat.com> - 0.12.0-1
- Update to 0.12.0

* Tue May 05 2020 Josh Stone <jistone@redhat.com> - 0.11.0-2
- Bump to object 0.18

* Wed Feb 19 2020 Josh Stone <jistone@redhat.com> - 0.11.0-1
- Update to 0.11.0

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Dec 16 2019 Josh Stone <jistone@redhat.com> - 0.10.0-1
- Update to 0.10.0

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue May 07 15:32:08 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.0-1
- Update to 0.9.0

* Sun Feb 10 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.0-1
- Update to 0.8.0

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Nov 27 2018 Josh Stone <jistone@redhat.com> - 0.7.0-4
- Bump to object 0.11

* Tue Nov 13 2018 Josh Stone <jistone@redhat.com> - 0.7.0-3
- Adapt to new packaging

* Tue Oct 02 2018 Josh Stone <jistone@redhat.com> - 0.7.0-2
- Bump object to 0.10

* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.7.0-1
- Update to 0.7.0

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Apr 14 2018 Josh Stone <jistone@redhat.com> - 0.6.0-1
- Update to 0.6.0

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.0-2
- Rebuild for rust-packaging v5

* Fri Jan 05 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.5.0-1
- Initial package

